forestry_bees.bee_base_genes = {}

local function register_base_gene(bee_type, base_genes)
  forestry_bees.bee_base_genes[bee_type] = base_genes
end

function forestry_bees.return_all_genes_double(bee_type)
    local output = {type_gene = {bee_type, bee_type}}
    for key,value in pairs(forestry_bees.bee_base_genes[bee_type]) do
        output[key] = {value, value}
    end
    return output
end

function forestry_bees.return_all_genes(bee_type)
    local output = {type_gene = bee_type}
    for key,value in pairs(forestry_bees.bee_base_genes[bee_type]) do
        output[key] = value
    end
    return output
end

function forestry_bees.return_genes(bee_type)
    return forestry_bees.bee_base_genes[bee_type]
end

--based on
--https://docs.google.com/spreadsheets/d/1_moZHLnL35_u-bJ7kFDxWDxY9OuMWK_4l0EB4wIx0_s/edit?f=true&noheader=false&gid=1#gid=1

--mundane branch
register_base_gene("forest",{production = 0.3, fertility = 3, lifespan = 20, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("meadows",{production = 0.3, fertility = 2, lifespan = 20, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("modest",{production = 0.6, fertility = 2, lifespan = 30, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("tropical",{production = 0.6, fertility = 2, lifespan = 30, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("wintry",{production = 0.6, fertility = 4, lifespan = 30, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("marshy",{production = 0.3, fertility = 2, lifespan = 10, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
--common branch
register_base_gene("common",{production = 0.6, fertility = 2, lifespan = 20, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("cultivated",{production = 1.2, fertility = 2, lifespan = 10, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
--noble branch
register_base_gene("noble",{production = 0.6, fertility = 2, lifespan = 30, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("majestic",{production = 1, fertility = 4, lifespan = 35, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("imperial",{production = 0.6, fertility = 2, lifespan = 40, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
--industrious branch
register_base_gene("diligent",{production = 0.6, fertility = 2, lifespan = 30, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("unweary",{production = 1, fertility = 2, lifespan = 35, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
register_base_gene("indostrious",{production = 0.6, fertility = 2, lifespan = 40, nocturnal = false, cave = false, flyer = false, flower = "flowers"})
---heroic branch
---infernal branch
--- austere branch
---end branch
---tropical branch
---frozen branch
---festive branch
--agrarian branch
register_base_gene("rural",{production = 0.6, fertility = 2, lifespan = 10, nocturnal = false, cave = false, flyer = false, flower = "wheat"})